package com.kingdee.eas.custom.notify;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SendContextFactory
{
    private SendContextFactory()
    {
    }
    public static com.kingdee.eas.custom.notify.ISendContext getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.notify.ISendContext)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("6D9DA5ED") ,com.kingdee.eas.custom.notify.ISendContext.class);
    }
    
    public static com.kingdee.eas.custom.notify.ISendContext getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.notify.ISendContext)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("6D9DA5ED") ,com.kingdee.eas.custom.notify.ISendContext.class, objectCtx);
    }
    public static com.kingdee.eas.custom.notify.ISendContext getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.notify.ISendContext)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("6D9DA5ED"));
    }
    public static com.kingdee.eas.custom.notify.ISendContext getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.notify.ISendContext)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("6D9DA5ED"));
    }
}